//we want to use the jeep datablocks if we can

datablock AudioProfile(FalconShot)
{
	filename = "./falconShot.wav";
	description = AudioClose3d;
	preload = true;
};

//datablock AudioProfile(Falcon40mmShot)
//{
//	filename = "./40mmShot.wav";
//	description = AudioClose3d;
//	preload = true;
//};

datablock ParticleData(FalconTrailParticle)
{
	dragCoefficient		= 3.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= 0.0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 120;
	lifetimeVarianceMS	= 0;
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	useInvAlpha		= false;
	animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "base/data/particles/dot";
	//animTexName		= "~/data/particles/dot";

	// Interpolation variables
	colors[0]	= "1 1 1 1";
	colors[1]	= "1 1 1 1";
	colors[2]	= "1 1 1 1";
	sizes[0]	= 0.5;
	sizes[1]	= 0.15;
	sizes[2]	= 0.0;
	times[0]	= 0.0;
	times[1]	= 0.5;
	times[2]	= 1.0;
};

datablock ParticleEmitterData(FalconTrailEmitter)
{
   ejectionPeriodMS = 2;
   periodVarianceMS = 0;

   ejectionVelocity = 0; //0.25;
   velocityVariance = 0; //0.10;

   ejectionOffset = 0;

   thetaMin         = 0.0;
   thetaMax         = 90.0;  

   particles = FalconTrailParticle;

   useEmitterColors = true;
};

datablock ExplosionData(FalconExplosion)
{
   //explosionShape = "";
	soundProfile = bulletHitSound;

   lifeTimeMS = 150;

   particleEmitter = gunExplosionEmitter;
   particleDensity = 5;
   particleRadius = 0.2;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.5;
   camShakeRadius = 10.0;

   // Dynamic light
   lightStartRadius = 0;
   lightEndRadius = 2;
   lightStartColor = "1 1 1";
   lightEndColor = "0 0 0";
};

AddDamageType("Falcon",   '<bitmap:add-ons/Vehicle_Falcon/cigeneric> %1',    '%2 <bitmap:add-ons/Vehicle_Falcon/cigeneric> %1',0.2,1);
datablock ProjectileData(FalconProjectile)
{
   directDamage        = 80;
   directDamageType    = $DamageType::Falcon;
   radiusDamageType    = $DamageType::Falcon;

   brickExplosionRadius = 0;
   brickExplosionImpact = true;          //destroy a brick if we hit it directly?
   brickExplosionForce  = 10;
   brickExplosionMaxVolume = 1;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 2;  //max volume of bricks that we can destroy if they aren't connected to the ground

   impactImpulse	     = 20;
   verticalImpulse	  = 20;
   explosion           = FalconExplosion;
   particleEmitter     = FalconTrailEmitter;

   muzzleVelocity      = 90;
   velInheritFactor    = 1;

   armingDelay         = 00;
   lifetime            = 4000;
   fadeDelay           = 3500;
   bounceAngle         = 170; //stick almost all the time
   minStickVelocity    = 10;
   bounceElasticity    = 0.2;
   bounceFriction      = 0.01;  
   isBallistic         = true;
   gravityMod = 0.4;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "0 0 0.5";

   uiName = "Falcon Shell";
};

datablock FlyingVehicleData(FalconVehicle)
{
   //Tagged fields for mission editor
      category = "Vehicles";
      displayName = " ";

   //Shapebase Fields
      shapeFile   = "./Falcon.dts";  //.dts File
      emap        = true;
      mass        = 200;
      drag        = 1.7;
      density     = 4;
      
      maxDamage = 180.00;
      destroyedLevel = 180.00;
      speedDamageScale = 1.04;
      collDamageThresholdVel = 20.0;
      collDamageMultiplier   = 0.02;

   //Tagged fields for mounting
      minMountDist = 3;   
      numMountPoints = 3;
      mountThread[0] = "sit";
      mountThread[1] = "crouch";
      mountThread[2] = "crouch";

      lookUpLimit = 0.75;
		lookDownLimit = 0.35;

   //Vehicle Fields:
      jetForce          = 500;
      jetEnergyDrain    = 8;
      minJetEnergy      = 1;

      massCenter        = "0 0 -1";
      //massBox           = "1 1 1";
      bodyRestitution   = 0.5;
      bodyFriction      = 0.5;
      //softImpactSound   = ; //AudioProfile
      //hardImpactSound   = ; //AudioProfile

      minImpactSpeed    = 25;
      softImpactSpeed   = 25;
      hardImpactSpeed   = 50;
      minRollSpeed      = 0;
      maxSteeringAngle  = 0.785;

      maxDrag        = 40;
      minDrag        = 50;
      integration    = 4;
      collisionTol   = 0.1;
      contactTol     = 0.1;

      cameraRoll     = false;
      cameraMaxDist  = 13;        
      cameraLag      = 0.0;
      cameraDecay    = 0.0;
      cameraOffset   = 2.5;
      cameraTilt     = 0.0;

      //dustEmitter       = ; //ParticleEmitterData
      triggerDustHeight = 3.0;
      dustHeight        = 1.0;

      numDmgEmitterAreas   = 0;
      
      damageEmitter[0] = vehicleBurnEmitter;
      damageEmitterOffset[0] = "0.0 0.0 0.0 ";
      damageLevelTolerance[0] = 0.99;

      damageEmitter[1] = vehicleBurnEmitter;
      damageEmitterOffset[1] = "0.0 0.0 0.0 ";
      damageLevelTolerance[1] = 1.0;

      //splashEmitter[0]        = ; //ParticleEmitterData

      splashFreqMod     = 300.0;
      splashVelEpsilon  = 0.50;

      splash = vehicleSplash;
      splashVelocity = 4.0;
      splashAngle = 67.0;
      splashFreqMod = 300.0;
      splashVelEpsilon = 0.60;
      bubbleEmitTime = 1.4;
      splashEmitter[0] = vehicleFoamDropletsEmitter;
      splashEmitter[1] = vehicleFoamEmitter;
      splashEmitter[2] = vehicleBubbleEmitter;
      mediumSplashSoundVelocity = 10.0;   
      hardSplashSoundVelocity = 20.0;   
      exitSplashSoundVelocity = 5.0;

      exitSplashSoundVelocity    = 2.0;
      softSplashSoundVelocity    = 1.0;
      mediumSplashSoundVelocity  = 2.0;
      hardSplashSoundVelocity    = 3.0;
      //exitingWater               = ;   //AudioProfile
      //impactWaterEasy            = ;   //AudioProfile
      //impactWaterMedium          = ;   //AudioProfile
      //impactWaterHard            = ;   //AudioProfile
      //waterWakeSound             = ;   //AudioProfile

      collDamageThresholdVel  = 20;
      collDamageMultiplier    = 0.05;

   //For Wrench Gui
      uiName   = "Falcon";
      rideAble = true;
      paintable = true;
		
   //Flying vehicle fields
      //jetSound = ;      //AudioProfile
      //engineSound = ;   //AudioProfile


      maneuveringForce        = 6400;
      horizontalSurfaceForce  = 100;
      verticalSurfaceForce    = 100;
      autoInputDamping        = 0.55;
      steeringForce           = 1500;
      steeringRollForce       = 500;
      rollForce               = 80;
      autoAngularForce        = 1400;
      rotationalDrag          = 30;
      autoLinearForce         = 100;
      maxAutoSpeed            = 10;
      hoverHeight             = 2.0;
      createHoverHeight       = 2.0;

      //forwardJetEmitter    = ; //ParticleEmitterData
      //backwardJetEmitter   = ; //ParticleEmitterData
      //downJetEmitter       = ; //ParticleEmitterData
      //trailEmitter         = ; //ParticleEmitterData

      minTrailSpeed        = 1;
      vertThrustMultiple   = 1.0;
   
   //Tagged fields for damage
      initialExplosionProjectile = vehicleExplosionProjectile;
      initialExplosionOffset = 0;         //offset only uses a z value for now

      burnTime = 500;

      finalExplosionProjectile = vehicleFinalExplosionProjectile;
      finalExplosionOffset = 0.5;          //offset only uses a z value for now

      minRunOverSpeed    = 2;   //how fast you need to be going to run someone over (do damage)
      runOverDamageScale = 5;   //when you run over someone, speed * runoverdamagescale = damage amt
      runOverPushScale   = 1.2; //how hard a person you're running over gets pushed

ShootOnClick=1;
ShootOnClick_Hold=1;
ShootOnClick_ShootDelay=500;
ShootOnClick_ReShootDelay=80;
ShootOnClick_ProjectileCount=2;
ShootOnClick_RequiredSlot=0;
ShootOnClick_Sound=FalconShot;

ShootOnClick_Projectile[0]=FalconProjectile;
ShootOnClick_Position[0]="-2 4.25 -0.512";
ShootOnClick_Velocity[0]="900 0 0";
ShootOnClick_Scale[0]="1 1 1";

ShootOnClick_Projectile[1]=FalconProjectile;
ShootOnClick_Position[1]="-2 -4.25 -0.512";
ShootOnClick_Velocity[1]="900 0 0";
ShootOnClick_Scale[1]="1 1 1";

};


